gsw_SR_from_SP {gsw} | R Documentation

## Calculate Reference Salinity from Practical Salinity

### Description

Calculate Reference Salinity from Practical Salinity

### Usage

    gsw_SR_from_SP(SP)

### Arguments

`SP` | Practical Salinity (PSS-78) [ unitless ]

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

Reference Salinity [ g/kg ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_SR_from_SP.html

### See Also

Other things related to salinity: `gsw_C_from_SP`, `gsw_SA_from_SP_Baltic`, `gsw_SA_from_SP`, `gsw_SA_from_Sstar`, `gsw_SP_from_C`, `gsw_SP_from_SA`, `gsw_SP_from_SK`, `gsw_SP_from_SR`, `gsw_SP_from_Sstar`, `gsw_Sstar_from_SA`, `gsw_Sstar_from_SP`, `gsw_deltaSA_from_SP`

### Examples

    SP <- c(34.5487, 34.7275, 34.8605, 34.6810, 34.5680, 34.5600)
    SR <- gsw_SR_from_SP(SP)
    expect_equal(SR, c(34.711611927085727, 34.891255045714303, 35.024882197714305,
                       34.844535778285724, 34.731002934857159, 34.722965211428587))

[Package gsw version 1.0-5 Index]